﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


// neu Labor2
using System.Windows.Media.Imaging;// BitmapSource
using System.Windows.Media;


// Labor4
using System.Xml.Serialization;


namespace CAD
{

    // Labor4
    [Serializable]
    [XmlInclude(typeof(CADLine))]
    [XmlInclude(typeof(CADRectangle))]
    [XmlInclude(typeof(CADCircle))]
    [XmlInclude(typeof(CADEllipse))]
    [XmlInclude(typeof(CADText))]


    public abstract class CADParent
    {
        public enum GrfTypen
        {
            C_NONE = 1,
            C_LINE = 2,
            C_RECTANGLE = 3,
            C_CIRCLE = 4,
            C_ELLIPSE = 5,
            C_HORILINE = 6,
            C_VERTLINE = 7,
            C_TEXT = 8
        }

        private GrfTypen typ = GrfTypen.C_LINE;

        public GrfTypen GraphicTyp
        {
            get { return typ; }
            set { typ = value; }
        }
        
        public CADParent()
        {
        }

        public abstract void draw(DrawingContext dc, double zoom);

    }
}
