﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CAD
{
    /// <summary>
    /// Interaktionslogik für InputText.xaml
    /// </summary>
    public partial class InputText : Window
    {
        private bool retcode = false;

        public bool Retcode
        {
            get { return retcode; }
        }

        public string Text
        {
            get { return tInput.Text; }
        }

        public InputText()
        {
            InitializeComponent();
            tInput.Focus();
        }

        private void bnOk_Click(object sender, RoutedEventArgs e)
        {
            retcode = true;
            Close();
        }

        private void bnCancel_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}
